package com.dbs.mcare.web.request.consent;

import javax.validation.constraints.Size;

import org.apache.commons.lang.builder.ToStringBuilder;
import org.apache.commons.lang.builder.ToStringStyle;

public class GetCategoryForDropdown {

	private static final String ROOT_CATEGORY = "1CB1B494-1EF0-48BD-84D6-4965A54E6AEA"; 
	
	public GetCategoryForDropdown() {
		setCategoryId(ROOT_CATEGORY);
	}
	
	@Size(min=1, max=36)
	public String categoryId;
	
	/**
	 * Default value : 1CB1B494-1EF0-48BD-84D6-4965A54E6AEA
	 * @return categoryId
	 */
	public String getCategoryId() {
		return categoryId;
	}

	public void setCategoryId(String categoryId) {
		this.categoryId = categoryId;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this, ToStringStyle.MULTI_LINE_STYLE);
	}
}
